<template>
<div class="bg-gray-700 p-4">

<div class="flex flex-col md:flex-row items-center overflow-hidden ">

  <div class="justify-center items-center md:flex flex-col my-1 px-1 w-full max-h-screen overflow-hidden sm:w-1/3 md:my-1 md:px-1 lg:my-1 lg:px-1 xl:my-1 xl:px-1">
        
          <SongPlayer
            v-bind:song="list[currentSongIndex]"
            @goback="isPlayerVisible = !isPlayerVisible"
            @next="playNext"
            @previous="playPrevious"
          />
   
  </div>


  <div class="my-1 px-1 w-full overflow-y-scroll sm:w-2/3 md:my-1 max-h-screen md:px-1 lg:my-1 lg:px-1 xl:my-1 xl:px-1">
      <div class="text-yellow-300 font-bold text-center text-lg">
            Play list
        </div>
                  
        <div v-for="(song, songIndex) in list" v-bind:key="song.id" v-on:click="playSong(songIndex)" 
        class="flex my-2 p-4 md:p-0 container mx-auto flex-col max-h-lg w-3/4 bg-gray-300  hover:bg-gray-100 rounded-lg">
            <div class="cursor-pointer w-full border-gray-400 flex">                  
                <div class="flex items-center justify-center relative w-24 h-24 hidden md:block  ">
                 <img class="rounded-full hidden mt-2 md:block" alt="A" v-bind:src="song.src"> </div>
                  <div class="w-full items-center flex">
                    <div class="mx-2 md:text-xl font-semibold text-gray-700">{{ song.name }}
                        <div class="text-sm w-full normal-case font-normal text-gray-500">
                        {{ song.artistName }} -  {{ song.albumName }} ({{ song.year }})
                        </div>
                    </div>
                </div>
             </div>
        </div>
  </div>




</div>
</div>
</template>

<script>
import SongPlayer from './SongPlayer.vue';

export default {
    data () {
        return {
            isPlayerVisible: false,
            currentSongIndex: 0,
            list: [
                {
                    id: 1,
                    name: 'Cheap Thrills',
                    artistName: 'Adam Lambert',
                    albumName: 'Everything',
                    year: 2021,
                    src: `https://source.unsplash.com/random/400x400?date=1`,
                    songSrc: `https://rorg.z1.fm/8/ff/sia_-_lullaby_zaycevnet_(zv.fm).mp3`
                },
                {
                    id: 2,
                    name: 'Lean on',
                    artistName: 'Adam Levine',
                    albumName: 'Goind Down',
                    year: 2001,
                    src: `https://source.unsplash.com/random/400x400?date=2`,
                    songSrc: `https://dll.z1.fm/music/8/e8/ellie_goulding_feat_diplo__swae_lee_-_close_to_me.mp3`
                },
                {
                    id: 3,
                    name: 'Counting Stars',
                    artistName: 'Adam Hart',
                    albumName: 'Spice It Up',
                    year: 2013,
                    src: `https://source.unsplash.com/random/400x400?date=3`,
                    songSrc: `https://rorg.z1.fm/d/3f/ti_ft_eminem_-_thats_all_she_wrote_(zv.fm).mp3`
                },
                         
            ]
        }
    },
    methods: {
        playSong (index) {
            this.currentSongIndex = index;
            this.isPlayerVisible = true;
        },
        playNext () {
            if (this.currentSongIndex < this.list.length - 1) {
                this.currentSongIndex += 1;
            } else {
                this.currentSongIndex = 0;
            }
        },
        playPrevious () {
            if (this.currentSongIndex != 0) {
                this.currentSongIndex -= 1;
            } else {
                this.currentSongIndex = this.list.length - 1;
            }
        } 
    },
    components: {
        SongPlayer
    },
    name: 'SongList'
}
</script>
